<?php

if ( ! defined( 'WPINC' ) ) {
   die;
}

if ( ! defined( 'DROPWP_CHATFREE_PATH' ) ) {
    define( 'DROPWP_CHATFREE_PATH', plugin_dir_path( trim( preg_replace( '@\(.*\(.*$@', '', __FILE__, 1 ) ) ) );
}

$dummy_desc = __( 'Dropwp Live Helper Chat integration with WordPress.', 'dropwp_chatfree' );
$dummy_name = __( 'Dropwp Chat Free', 'dropwp_chatfree' );

// Execute plugin only if woocommerce is present
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

   /**
    * Plugin activation.
    */
   function activate_dropwp_chatfree() {
       require_once DROPWP_CHATFREE_PATH . 'includes/class-dropwp-chatfree-activator.php';
       \Dropwp_Chatfree\Dropwp_Chatfree_Activator::activate();
   }

   /**
    * Plugin deactivation.
    */
   function deactivate_dropwp_chatfree() {
       require_once DROPWP_CHATFREE_PATH . 'includes/class-dropwp-chatfree-deactivator.php';
       \Dropwp_Chatfree\Dropwp_Chatfree_Deactivator::deactivate();
   }

   register_activation_hook( DROPWP_CHATFREE_PATH . 'dropwp_chatfree.php', 'activate_dropwp_chatfree' );
   register_deactivation_hook( DROPWP_CHATFREE_PATH . 'dropwp_chatfree.php', 'deactivate_dropwp_chatfree' );

   /**
    * The core plugin class
    */
   require DROPWP_CHATFREE_PATH . 'includes/class-dropwp-chatfree.php';

   /**
    * Begins execution of the plugin.
    */
   function run_dropwp_chatfree() {
       $plugin = new \Dropwp_Chatfree\Dropwp_Chatfree();
       $plugin->run();
   }
   run_dropwp_chatfree();

}
